<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-32"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20%2FUsers%2Fscar1900%2FDeveloper%2FXHXKit%2FXHXKit%2FClasses%2FBase%2FDefine%2FBunessBlockTypeDefines.h%20%E6%96%87%E4%BB%B6%E5%8F%82%E8%80%83"></a><title>XHXKit: /Users/scar1900/Developer/XHXKit/XHXKit/Classes/Base/Define/BunessBlockTypeDefines.h 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_buness_block_type_defines_8h.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#typedef-members">类型定义</a>  </div>
  <div class="headertitle">
<div class="title">BunessBlockTypeDefines.h 文件参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="_buness_block_type_defines_8h_source.html">浏览源代码.</a></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
类型定义</h2></td></tr>
<tr class="memitem:a8a86750c797878a988393323b11bd368"><td class="memItemLeft" align="right" valign="top">typedef void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_buness_block_type_defines_8h.html#a8a86750c797878a988393323b11bd368">BigDataClickEventsVoidCallBack</a>) (void)</td></tr>
<tr class="memdesc:a8a86750c797878a988393323b11bd368"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">大数据埋点 按钮事件回调 无参数回调  <a href="_buness_block_type_defines_8h.html#a8a86750c797878a988393323b11bd368">更多...</a><br/></td></tr>
<tr class="separator:a8a86750c797878a988393323b11bd368"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:abfd8a1fd0d7b9ee15a8cf053231044e1"><td class="memItemLeft" align="right" valign="top">typedef void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_buness_block_type_defines_8h.html#abfd8a1fd0d7b9ee15a8cf053231044e1">BigDataClickEventsBOOLCallBack</a>) (BOOL)</td></tr>
<tr class="memdesc:abfd8a1fd0d7b9ee15a8cf053231044e1"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">大数据埋点 按钮事件回调 BOOL值参数  <a href="_buness_block_type_defines_8h.html#abfd8a1fd0d7b9ee15a8cf053231044e1">更多...</a><br/></td></tr>
<tr class="separator:abfd8a1fd0d7b9ee15a8cf053231044e1"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a67cd31c7ea23c21419fe8ffeac172762"><td class="memItemLeft" align="right" valign="top">typedef void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_buness_block_type_defines_8h.html#a67cd31c7ea23c21419fe8ffeac172762">BigDataClickEventsNSIntegerCallBack</a>) (NSInteger)</td></tr>
<tr class="memdesc:a67cd31c7ea23c21419fe8ffeac172762"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">大数据埋点 按钮事件回调 NSInteger值参数  <a href="_buness_block_type_defines_8h.html#a67cd31c7ea23c21419fe8ffeac172762">更多...</a><br/></td></tr>
<tr class="separator:a67cd31c7ea23c21419fe8ffeac172762"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a661c47fa5f1e435d185a798c37b0e219"><td class="memItemLeft" align="right" valign="top">typedef void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_buness_block_type_defines_8h.html#a661c47fa5f1e435d185a798c37b0e219">GVoidClickCallBack</a>) (void)</td></tr>
<tr class="memdesc:a661c47fa5f1e435d185a798c37b0e219"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">按钮点击事件 无参数无返回值  <a href="_buness_block_type_defines_8h.html#a661c47fa5f1e435d185a798c37b0e219">更多...</a><br/></td></tr>
<tr class="separator:a661c47fa5f1e435d185a798c37b0e219"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ac12a7b5f31f98e3e6ab72c9756086039"><td class="memItemLeft" align="right" valign="top">typedef void(^&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="_buness_block_type_defines_8h.html#ac12a7b5f31f98e3e6ab72c9756086039">GVoidBtnClickCallBack</a>) (UIButton *btn)</td></tr>
<tr class="memdesc:ac12a7b5f31f98e3e6ab72c9756086039"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">按钮点击事件 button参数无返回值  <a href="_buness_block_type_defines_8h.html#ac12a7b5f31f98e3e6ab72c9756086039">更多...</a><br/></td></tr>
<tr class="separator:ac12a7b5f31f98e3e6ab72c9756086039"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">类型定义说明</h2>
<a id="abfd8a1fd0d7b9ee15a8cf053231044e1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abfd8a1fd0d7b9ee15a8cf053231044e1">◆&nbsp;</a></span>BigDataClickEventsBOOLCallBack</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">typedef void(^ BigDataClickEventsBOOLCallBack) (BOOL)</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>大数据埋点 按钮事件回调 BOOL值参数 </p>

</div>
</div>
<a id="a67cd31c7ea23c21419fe8ffeac172762"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67cd31c7ea23c21419fe8ffeac172762">◆&nbsp;</a></span>BigDataClickEventsNSIntegerCallBack</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">typedef void(^ BigDataClickEventsNSIntegerCallBack) (NSInteger)</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>大数据埋点 按钮事件回调 NSInteger值参数 </p>

</div>
</div>
<a id="a8a86750c797878a988393323b11bd368"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a86750c797878a988393323b11bd368">◆&nbsp;</a></span>BigDataClickEventsVoidCallBack</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">typedef void(^ BigDataClickEventsVoidCallBack) (void)</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>大数据埋点 按钮事件回调 无参数回调 </p>

</div>
</div>
<a id="ac12a7b5f31f98e3e6ab72c9756086039"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac12a7b5f31f98e3e6ab72c9756086039">◆&nbsp;</a></span>GVoidBtnClickCallBack</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">typedef void(^ GVoidBtnClickCallBack) (UIButton *btn)</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>按钮点击事件 button参数无返回值 </p>

</div>
</div>
<a id="a661c47fa5f1e435d185a798c37b0e219"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a661c47fa5f1e435d185a798c37b0e219">◆&nbsp;</a></span>GVoidClickCallBack</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">typedef void(^ GVoidClickCallBack) (void)</td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

<p>按钮点击事件 无参数无返回值 </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d522931ffa1371640980b621734a4381.html">Users</a></li><li class="navelem"><a class="el" href="dir_2f48480e0fdb0436fb8fd57a1ed5f613.html">scar1900</a></li><li class="navelem"><a class="el" href="dir_c8b33409012acfc781ba898892fd3b4c.html">Developer</a></li><li class="navelem"><a class="el" href="dir_0e1030ab80149b7e8d6dfd17946e9c40.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_c9ece41fcb3917ec137dcec44cd0055f.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_3a9521ad7c4429598be7e28fa39d3d14.html">Classes</a></li><li class="navelem"><a class="el" href="dir_e594291297641f362044084ee3bd79c2.html">Base</a></li><li class="navelem"><a class="el" href="dir_5b328c48b3da945f8bff47b8f58e015b.html">Define</a></li><li class="navelem"><a class="el" href="_buness_block_type_defines_8h.html">BunessBlockTypeDefines.h</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>